org.eclnt.jsfserver.elements.impl

## Class FIXGRIDBinding.Exporter

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding.Exporter

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    FIXGRIDBinding<itemClass extends FIXGRIDItem>

      public class FIXGRIDBinding.Exporter
      extends java.lang.Object
      implements java.io.Serializable

  Central class providing all the export functions of the grid. You can override by extending your class from this class, and by overriding the `FIXGRIDBinding.createExporter()` method.
  This class provides a couple of URLs that can be passed to e.g. DOWNLOAD components. Pleayse pay attention: these URLs change with every roundtrip! Background: the corresponding BufferedContent provider (see `IBufferedContent` are created within each request on server side, and are removed after the render phase, in order to not build up static references within the grid management.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `exportToCSVStringRange()`
    `java.lang.String` | `exportToCSVStringWholeGrid(boolean selectedRowsOnly)`
    `java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>>` | `exportToFormattedValueList(boolean selectedRowsOnly)`
    `java.util.List<java.util.List<java.lang.Object>>` | `exportToObjectListRange()`
    `java.util.List<java.util.List>` | `exportToObjectListWholeGrid(boolean selectedRowsOnly)` Exports the currently visible grid data into a simple list.
    `byte[]` | `exportToPDFWholeGrid(boolean selectedRowsOnly)` Export of grid information into PDF file that is returned as byte array.
    `java.util.List<java.util.List<java.lang.String>>` | `exportToStringListFooter()` Exports the values of the current footer rows.
    `java.util.List<java.util.List<java.lang.String>>` | `exportToStringListHeader()` Exports the values of the current header rows.
    `java.util.List<java.util.List<java.lang.String>>` | `exportToStringListRange()`
    `java.util.List<java.util.List<java.lang.String>>` | `exportToStringListWholeGrid(boolean selectedRowsOnly)` Exports the currently visible grid data into a simple list.
    `java.lang.String` | `exportToTabSeparatedStringRange()`
    `java.lang.String` | `exportToTabSeparatedStringWholeGrid(boolean selectedRowsOnly)`
    `byte[]` | `exportToXLSXWholeGrid(boolean selectedRowsOnly)` Export of grid information into XLSX file that is returned as byte array.
    `byte[]` | `exportToXMLRange()`
    `byte[]` | `exportToXMLWholeGrid(boolean selectedRowsOnly)`
    `java.util.List<ColumnInfo>` | `getAdditionalExportColumnsLeft()`
    `java.util.List<ColumnInfo>` | `getAdditionalExportColumnsRight()`
    `IFIXGRIDExcelExporter` | `getExcelExporter()`
    `java.lang.String` | `getExportFilePrefix()`
    `java.lang.String` | `getExportURLCsvRange()`
    `java.lang.String` | `getExportURLCsvSelectedRows()`
    `java.lang.String` | `getExportURLCsvWholeGrid()`
    `java.lang.String` | `getExportURLPDFSelectedRows()`
    `java.lang.String` | `getExportURLPDFWholeGrid()`
    `java.lang.String` | `getExportURLXLSXSelectedRows()`
    `java.lang.String` | `getExportURLXLSXWholeGrid()`
    `java.lang.String` | `getExportURLXMLRange()`
    `java.lang.String` | `getExportURLXMLSelectedRows()`
    `java.lang.String` | `getExportURLXMLWholeGrid()`
    `IFIXGRIDPdfExporter` | `getPDFExporter()`
    `void` | `setExcelExporter(IFIXGRIDExcelExporter excelExporter)` You can assign an own implementation of IFIXGRIDExcelExporter - if not set by you then an instance of FIXGRIDXMLSpreadSheetExporter is created automatically.
    `void` | `setExportFilePrefix(java.lang.String exportFilePrefix)` Filename prefix that are proposed when downloading documents.
    `void` | `setPDFExporter(IFIXGRIDPdfExporter pdfExporter)` You can assign an own implementation of IFIXGRIDPDFExporter - if not set by you then an instance of `FIXGRIDPDFExporter` is created automatically.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exporter

          public Exporter()

  - ### Method Detail

    - #### getExportFilePrefix

          public java.lang.String getExportFilePrefix()

    - #### setExportFilePrefix

          public void setExportFilePrefix(java.lang.String exportFilePrefix)

      Filename prefix that are proposed when downloading documents. The prefix is appended with the corresponding file extension (e.g. ".pdf" for PDF)

    - #### getAdditionalExportColumnsLeft

          public java.util.List<ColumnInfo> getAdditionalExportColumnsLeft()

    - #### getAdditionalExportColumnsRight

          public java.util.List<ColumnInfo> getAdditionalExportColumnsRight()

    - #### getExportURLCsvWholeGrid

          public java.lang.String getExportURLCsvWholeGrid()

    - #### getExportURLCsvSelectedRows

          public java.lang.String getExportURLCsvSelectedRows()

    - #### getExportURLCsvRange

          public java.lang.String getExportURLCsvRange()

    - #### getExportURLXMLWholeGrid

          public java.lang.String getExportURLXMLWholeGrid()

    - #### getExportURLXMLSelectedRows

          public java.lang.String getExportURLXMLSelectedRows()

    - #### getExportURLXMLRange

          public java.lang.String getExportURLXMLRange()

    - #### getExportURLPDFWholeGrid

          public java.lang.String getExportURLPDFWholeGrid()

    - #### getExportURLPDFSelectedRows

          public java.lang.String getExportURLPDFSelectedRows()

    - #### getExportURLXLSXWholeGrid

          public java.lang.String getExportURLXLSXWholeGrid()

    - #### getExportURLXLSXSelectedRows

          public java.lang.String getExportURLXLSXSelectedRows()

    - #### exportToObjectListWholeGrid

          public java.util.List<java.util.List> exportToObjectListWholeGrid(boolean selectedRowsOnly)

      Exports the currently visible grid data into a simple list. Each grid item is exported into a list of objects itself. - The data is in sync with the user's current column selection and column sequence.

    - #### exportToFormattedValueList

          public java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>> exportToFormattedValueList(boolean selectedRowsOnly)

    - #### exportToStringListHeader

          public java.util.List<java.util.List<java.lang.String>> exportToStringListHeader()

      Exports the values of the current header rows.

    - #### exportToStringListFooter

          public java.util.List<java.util.List<java.lang.String>> exportToStringListFooter()

      Exports the values of the current footer rows.

    - #### exportToStringListWholeGrid

          public java.util.List<java.util.List<java.lang.String>> exportToStringListWholeGrid(boolean selectedRowsOnly)

      Exports the currently visible grid data into a simple list. Each grid item is exported into a list of strings itself. - The data is in sync with the user's current column selection and column sequence.

    - #### exportToStringListRange

          public java.util.List<java.util.List<java.lang.String>> exportToStringListRange()

    - #### exportToObjectListRange

          public java.util.List<java.util.List<java.lang.Object>> exportToObjectListRange()

    - #### exportToTabSeparatedStringRange

          public java.lang.String exportToTabSeparatedStringRange()

    - #### exportToTabSeparatedStringWholeGrid

          public java.lang.String exportToTabSeparatedStringWholeGrid(boolean selectedRowsOnly)

    - #### exportToCSVStringRange

          public java.lang.String exportToCSVStringRange()

    - #### exportToCSVStringWholeGrid

          public java.lang.String exportToCSVStringWholeGrid(boolean selectedRowsOnly)

    - #### exportToXMLWholeGrid

          public byte[] exportToXMLWholeGrid(boolean selectedRowsOnly)

    - #### exportToXMLRange

          public byte[] exportToXMLRange()

    - #### setPDFExporter

          public void setPDFExporter(IFIXGRIDPdfExporter pdfExporter)

      You can assign an own implementation of IFIXGRIDPDFExporter - if not set by you then an instance of `FIXGRIDPDFExporter` is created automatically.

    - #### getPDFExporter

          public IFIXGRIDPdfExporter getPDFExporter()

    - #### setExcelExporter

          public void setExcelExporter(IFIXGRIDExcelExporter excelExporter)

      You can assign an own implementation of IFIXGRIDExcelExporter - if not set by you then an instance of FIXGRIDXMLSpreadSheetExporter is created automatically.

    - #### getExcelExporter

          public IFIXGRIDExcelExporter getExcelExporter()

    - #### exportToPDFWholeGrid

          public byte[] exportToPDFWholeGrid(boolean selectedRowsOnly)

      Export of grid information into PDF file that is returned as byte array.

    - #### exportToXLSXWholeGrid

          public byte[] exportToXLSXWholeGrid(boolean selectedRowsOnly)

      Export of grid information into XLSX file that is returned as byte array.

Copyright © CaptainCasa Gmbh. All Rights Reserved.